package kr.kangwoo.damo;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

import kr.kangwoo.util.MessageUtils;

public class Messages {
	private static final String BUNDLE_NAME = "kr.kangwoo.damo.messages"; //$NON-NLS-1$

	private static final ResourceBundle RESOURCE_BUNDLE = ResourceBundle
			.getBundle(BUNDLE_NAME);

	private Messages() {
	}

	public static String getString(String key) {
		try {
			return RESOURCE_BUNDLE.getString(key);
		} catch (MissingResourceException e) {
			return '!' + key + '!';
		}
	}
	
	public static String getString(String key, Object... args) {
		return MessageUtils.format(getString(key), args);
	}
}
