/*
 * Copyright 2002-2009 Team Jaru.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package kr.kangwoo.damo.engine;

import java.sql.Connection;
import java.sql.SQLException;

import kr.kangwoo.damo.Session;

/**
 * 세션 서비스를 정의하고 있다.
 * 
 * @author badnom
 * @author agoodguy
 *
 */
public interface ISessionService {

	/**
	 * <p>세션을 생성한다.</p>
	 * 
	 * @return 세션
	 */
	Session openSession();
	
	/**
	 * 해당 커넥션을 사용하는 세션을 생성한다.
	 * 
	 * @param conn 사용할 커넥션
	 * @return 세션
	 * @throws SQLException
	 */
	Session openSession(Connection conn) throws SQLException;
	
}
