/*
 * Copyright 2002-2009 Team Jaru.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package kr.kangwoo.damo.engine.batch;

import java.sql.SQLException;

/**
 * 일괄 처리(Batch) 콜백을 정의하고 있다.
 * 
 * @author badnom
 * @author agoodguy
 *
 */
public interface BatchCallback {
	
	/**
	 * <p>실제적인 일괄 처리 작업을 구현해야한다.</p>
	 *  
	 * @param batchContext
	 * @return 배치 처리 결과
	 * @throws SQLException
	 */
	BatchResult doIteration(BatchContext batchContext) throws SQLException;
}
