/*
 * Copyright 2002-2009 Team Jaru.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package kr.kangwoo.damo.engine.batch;

import kr.kangwoo.damo.engine.query.RunnableQuery;
import kr.kangwoo.util.ArrayUtils;

/**
 * 일괄 처리(Batch) 결과를 저장하고 있다.
 * 
 * @author badnom
 * @author agoodguy
 *
 */
public class BatchResult {
	
	private RunnableQuery query;
	private int[] updateCounts;

	/**
	 * 생성자
	 * @param query 일괄 처리(Batch)에 사용한 쿼리
	 */
	public BatchResult(RunnableQuery query) {
		this.query = query;
	}

	public RunnableQuery getQuery() {
		return query;
	}
	
	public int[] getUpdateCounts() {
		return updateCounts;
	}

	public void setUpdateCounts(int[] updateCounts) {
		this.updateCounts = updateCounts;
	}
	
	public void addUpdateCounts(int[] updateCounts) {
		this.updateCounts = ArrayUtils.concat(this.updateCounts, updateCounts);
	}
}
