/*
 * Copyright 2002-2009 Team Jaru.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package kr.kangwoo.damo.engine.cache;

/**
 * <p>캐시 전략이다. 읽기전용(ReadOnly)와 읽기/쓰기(ReadWrite)가 있다.</p>
 * 읽기전용은 동일한 캐시 아이디내에서 등록/수정/삭제 작업이 일어나도 영향을 받지 않는것이고,
 * 읽기쓰기는 동일한 캐시 아이디내에서 등록/수정/삭제 작업이 일어나면, 캐시가 초기화된다.
 * 
 * @author badnom
 *
 */
public enum CacheStrategy {
	ReadOnly, ReadWrite
}
