/*
 * Copyright 2002-2009 Team Jaru.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package kr.kangwoo.damo.engine.provider;

import java.sql.SQLException;

import kr.kangwoo.damo.engine.query.Query;

/**
 * 쿼리 적재기이다.
 * 파일 또는 기타 저장소에서 쿼리 아이디에 해당하는 쿼리를 읽어오는 역할을 정의하고 있다.
 * 
 * @author badnom
 *
 */
public interface QueryLoader {
	
	/**
	 * <p>쿼리 아이디에 해당하는 쿼리를 가져온다.</p>
	 * 
	 * @param queryId 쿼리 아이디
	 * @return 쿼리
	 * @throws SQLException
	 */
	Query getQuery(String queryId) throws SQLException;
	
}
