/*
 * Copyright 2002-2009 Team Jaru.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package kr.kangwoo.damo.engine.provider.generator.model;

import kr.kangwoo.damo.annotation.SelectKey;
import kr.kangwoo.util.ObjectUtils;


/**
 * 테이블의 컬럼 정보를 저장하고 있다.
 * 
 * @author badnom
 */
public class FieldDefinition {

	private String name;
	private String nameForQuery;
	private boolean isQueriable = true;
	
	private boolean isPrimaryKey = false;
	
	private Class<?> javaType;
	private String jdbcType;

	private SelectKey selectKey;
	
	public String getName() {
		return name;
	}

	public void setName(String columnName) {
		this.name = columnName;
	}

	public String getNameForQuery() {
		return nameForQuery;
	}

	public void setNameForQuery(String columnNameForQuery) {
		this.nameForQuery = columnNameForQuery;
	}

	public boolean isQueriable() {
		return isQueriable;
	}

	public void setQueriable(boolean isQueriable) {
		this.isQueriable = isQueriable;
	}

	public boolean isPrimaryKey() {
		return isPrimaryKey;
	}

	public void setPrimaryKey(boolean isPrimaryKey) {
		this.isPrimaryKey = isPrimaryKey;
	}

	public Class<?> getJavaType() {
		return javaType;
	}

	public void setJavaType(Class<?> javaType) {
		this.javaType = javaType;
	}
	
	public String getJdbcType() {
		return jdbcType;
	}

	public void setJdbcType(String jdbcType) {
		this.jdbcType = jdbcType;
	}

	public boolean isLob() {
		return "BLOB".equals(jdbcType) || "CLOB".equals(jdbcType)   //$NON-NLS-1$ //$NON-NLS-2$
		|| "LONGVARBINARY".equals(jdbcType) || "LONGVARCHAR".equals(jdbcType); //$NON-NLS-1$ //$NON-NLS-2$
	}
	
	public SelectKey getSelectKey() {
		return selectKey;
	}

	public void setSelectKey(SelectKey selectKey) {
		this.selectKey = selectKey;
	}
	
	@Override
	public String toString() {
		return ObjectUtils.reflectionToString(this);
	}


}
