/*
 * Copyright 2002-2009 Team Jaru.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package kr.kangwoo.damo.engine.provider.generator.model;

import kr.kangwoo.util.StringUtils;


/**
 * 테이블 이름을 저장하고 있다.
 * 
 * @author badnom
 */
public class TableName {
	
    private String catalog = null;
    private String schema = null;
    private String table = null;
    
    public TableName(String catalog, String schema, String table) {
    	this.catalog = catalog;
    	this.schema = schema;
    	this.table = table;
    }
    
	public String getCatalog() {
		return catalog;
	}
	
	public void setCatalog(String catalog) {
		this.catalog = catalog;
	}
	
	public String getTable() {
		return table;
	}
	
	public void setTable(String name) {
		this.table = name;
	}
	
	public String getSchema() {
		return schema;
	}
	
	public void setSchema(String schema) {
		this.schema = schema;
	}
    
	
	// ------------------------------------------------------------------------
	// Override Methods
	
	@Override
	public boolean equals(Object obj) {
		if (obj == null || ((obj instanceof TableName) == false)) {
			return false;
		}
		return this.toString().equals(obj.toString());
	}
	
	@Override
	public int hashCode() {
		return toString().hashCode();
	}
	
	@Override
	public String toString() {
		return StringUtils.toDelimitedStringIfNotEmpty(new String[] {catalog, schema, table}, '.');
	}
	
}
