/*
 * Copyright 2002-2009 Team Jaru.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package kr.kangwoo.damo.engine.provider.loader;

import java.sql.SQLException;

import kr.kangwoo.damo.Messages;
import kr.kangwoo.damo.engine.provider.QueryLoader;
import kr.kangwoo.damo.engine.query.Query;

/**
 * 더미(Dummy)용 쿼리 적재기이다.
 * 쿼리 요청을 받으면 에러를 발생시키는 역할을 한다.
 * 
 * @author badnom
 *
 */
public class DummyQueryLoader implements QueryLoader {
	
	private static final DummyQueryLoader dummyQueryLoader = new DummyQueryLoader();

	private DummyQueryLoader() {
	}
	
	public static DummyQueryLoader getDummyQueryLoader() {
		return dummyQueryLoader;
	}

	
	public Query getQuery(String queryId) throws SQLException {
		throw new SQLException(Messages.getString("DummyQueryLoader.NOT_SUPPORTED")); //$NON-NLS-1$
	}

}
