/*
 * Copyright 2002-2009 Team Jaru.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package kr.kangwoo.damo.engine.provider.loader.file;

import java.io.File;

import kr.kangwoo.damo.engine.provider.QueryLoader;

public abstract class QueryFileLoader implements QueryLoader {

	protected QueryFile[] queryFiles;
	
	public QueryFileLoader() {
	}

	public void init(File[] files) {
		if (files != null) {
			queryFiles = new QueryFile[files.length];
			for (int i = 0; i < files.length; i++) {
				queryFiles[i] = new QueryFile(files[i]);
			}
		} else {
			queryFiles = null;
		}
	}

}
