/*
 * Copyright 2002-2009 Team Jaru.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package kr.kangwoo.damo.engine.query;

import kr.kangwoo.damo.engine.cache.CacheStrategy;
import kr.kangwoo.damo.engine.executor.interceptor.ExecuteInterceptor;
import kr.kangwoo.damo.engine.executor.interceptor.HandleRowInterceptor;


public interface Query {

	CommandType getCommandType();

	String getDescription();
	
	RunnableQuery getRunnableQuery(Object parameterObject);
	
	ExecuteInterceptor[] getExecuteInterceptors();
	HandleRowInterceptor[] getHandleRowInterceptors();

	Integer getFetchSize();
	Integer getResultSetType();
	Integer getResultSetConcurrency();
	
	// Cache
	String getCacheName();
	CacheStrategy getCacheStrategy();
	
}
