/*
 * Copyright 2002-2009 Team Jaru.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package kr.kangwoo.damo.engine.query;

import kr.kangwoo.damo.engine.executor.interceptor.ExecuteInterceptor;
import kr.kangwoo.damo.engine.executor.interceptor.HandleRowInterceptor;
import kr.kangwoo.damo.engine.query.parameter.ParameterInfo;

public class StaticQuery extends BaseQuery implements RunnableQuery {

	private String sql;
	private ParameterInfo<?>[] parameterInfos;

	public StaticQuery(CommandType commandType, String sql, ParameterInfo<?>[] parameterInfos) {
		this(commandType, sql, parameterInfos, null, null, null);
	}
	public StaticQuery(CommandType commandType, String sql, ParameterInfo<?>[] parameterInfos, String description) {
		this(commandType, sql, parameterInfos, description, null, null);
	}
	
	public StaticQuery(CommandType commandType, String sql, ParameterInfo<?>[] parameterInfos, String description, ExecuteInterceptor[] executeInterceptors, HandleRowInterceptor[] handleRowInterceptors) {
		super(commandType, description);
		this.sql = sql;
		this.parameterInfos = parameterInfos;
		this.executeInterceptors = executeInterceptors;
		this.handleRowInterceptors = handleRowInterceptors;
	}

	public String getSql() {
		return sql;
	}

	public void setSql(String sql) {
		this.sql = sql;
	}

	public ParameterInfo<?>[] getParameterInfos() {
		return parameterInfos;
	}

	public void setparameterInfos(ParameterInfo<?>[] parameterInfos) {
		this.parameterInfos = parameterInfos;
	}


	public RunnableQuery getRunnableQuery(Object parameterObject) {
		return this;
	}

//	@Override
//	public int hashCode() {
//		return 31 * sql.hashCode() + ArrayUtils.hashCode(parameterInfos);
//	}
//
//	@Override
//	public boolean equals(Object obj) {
//		if (obj instanceof StaticQuery) {
//			StaticQuery another = (StaticQuery)obj;
//			return sql.equals(another.sql) && ArrayUtils.equals(parameterInfos, another.parameterInfos);
//		}
//		return false;
//	}
}
