/*
 * Copyright 2002-2009 Team Jaru.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package kr.kangwoo.damo.engine.query.parameter.type;

import java.sql.CallableStatement;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

public interface TypeHandler<E> {

	/**
	 * <p>파라메터를 설정한다.</p>
	 * 
	 * @param pstmt PreparedStatement
	 * @param parameterIndex 파라메터 번호(1부터 시작)
	 * @param parameter 파라메터 값
	 * @throws SQLException
	 */
	public void bindParameter(PreparedStatement pstmt, int parameterIndex, E parameter) throws SQLException;
	
	public void registerOutParameter(CallableStatement cstmt, int parameterIndex) throws SQLException;
	
	public E getResult(ResultSet rs, String columnName) throws SQLException;
	
	public E getResult(ResultSet rs, int columnIndex) throws SQLException;
	
	public E getResult(CallableStatement cstmt, int columnIndex) throws SQLException;
	
	public E valueOf(String str);
	
	public Class<E> getType();

}
