/*
 * Copyright 2002-2009 Team Jaru.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package kr.kangwoo.damo.engine.query.token;

import kr.kangwoo.damo.engine.query.parameter.ParameterInfo;

public abstract class ConditionalToken extends SuperToken {

	protected String test;
	protected String prepend;
	
	public ConditionalToken(String test, String prepend) {
		this(test, prepend, null);
	}
	
	public ConditionalToken(String test, String prepend, String sql, ParameterInfo<?>[] parameterInfos) {
		this(test, prepend, new StaticToken(sql, parameterInfos));
	}
	
	public ConditionalToken(String test, String prepend, Token token) {
		this.test = test;
		this.prepend = prepend;
		if (token != null) {
			super.add(token);	
		}
	}
	
	public String getPrepend() {
		return prepend;
	}

	public StaticToken getStaticToken(Object parameterObject) {
		if (isCondition(parameterObject)) {
			return super.getStaticToken(parameterObject);
		}
		return null;
	}

	public String getTest() {
		return test;
	}

	public abstract boolean isCondition(Object parameterObject);
}
