/*
 * Copyright 2002-2009 Team Jaru.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package kr.kangwoo.damo.engine.query.token;

import java.util.List;

public class DynamicToken extends SuperToken {
	
	private String prepend;
	
	public DynamicToken() {
		super();
	}
	
	public DynamicToken(String prepend) {
		this(prepend, null);
	}
	
	public DynamicToken(List<Token> subTokenList) {
		this(null, subTokenList);
	}
	
	public DynamicToken(String prepend, List<Token> subTokenList) {
		super(subTokenList);
		this.prepend = prepend;
		this.subTokenList = subTokenList;
	}

	public String getPrepend() {
		return prepend;
	}

}
