/*
 * Copyright 2002-2009 Team Jaru.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package kr.kangwoo.damo.engine.query.token;

import kr.kangwoo.damo.Messages;
import kr.kangwoo.damo.engine.query.parameter.ParameterInfo;
import kr.kangwoo.damo.external.el.ExpressionEvaluator;

public class WhenToken extends ConditionalToken {

	public WhenToken(String test, String prepend) {
		super(test, prepend, null);
	}

	public WhenToken(String test, String prepend, String sql, ParameterInfo<?>[] parameterInfos) {
		super(test, prepend, new StaticToken(sql, parameterInfos));
	}
	
	public WhenToken(String test, String prepend, Token token) {
		super(test, prepend, token);
	}
	
	@Override
	public boolean isCondition(Object parameterObject) {
		return (Boolean)ExpressionEvaluator.evaluate("test", test, Boolean.class, parameterObject); //$NON-NLS-1$
	}
}
