/*
 * Copyright 2002-2009 Team Jaru.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package kr.kangwoo.damo.engine.transaction;

import java.sql.Connection;


public abstract class BaseTransaction implements Transaction {

	protected TransactionProvider transactionProvider;
	protected IConnectionLogManager connectionLogProxy;
	
	public BaseTransaction() {
	}
	
	public BaseTransaction(TransactionProvider transactionProvider) {
		this.transactionProvider = transactionProvider;
		if (transactionProvider instanceof BaseTransactionProvider) {
			connectionLogProxy = ((BaseTransactionProvider)transactionProvider).getConnectionLogManager();
		}
	}
	
	protected Connection wrapConnection(Connection connection) {
		return (connectionLogProxy == null) ? connection : connectionLogProxy.wrapConnection(connection);
	}

}
