package kr.kangwoo.damo.util.tool;

import kr.kangwoo.util.sql.TableDefinition;


public class CodeGenerator {
	public static final String LINE_SEPARATOR;
	
    static {
        String lineSeparator = System.getProperty("line.separator");
        if (lineSeparator == null) {
        	lineSeparator = "\n";
        }
        LINE_SEPARATOR = lineSeparator;
    }
	
	protected void newLine(StringBuilder sb) {
        sb.append(LINE_SEPARATOR);
    }
    
    protected void javaIndent(StringBuilder sb, int indentLevel) {
        for (int i = 0; i < indentLevel; i++) {
            sb.append("    ");
        }
    }
    
    protected void xmlIndent(StringBuilder sb, int indentLevel) {
        for (int i = 0; i < indentLevel; i++) {
            sb.append("    ");
        }
    }
    
	
	protected String getNamespace(TableDefinition tableDefinition, JavaClass modelClass, JavaClass modelKeyClass, JavaClass daoIfClass, JavaClass daoImplClass) {
		return daoIfClass.getFullyQualifiedName();
	}
}
