package kr.kangwoo.damo.util.tool;

import java.io.File;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.List;

import kr.kangwoo.util.StringUtils;
import kr.kangwoo.util.sql.ConnectionConfiguration;
import kr.kangwoo.util.sql.DatabaseIntrospector;
import kr.kangwoo.util.sql.TableDefinition;

public class DamoHelper {

	
	public static void write(File target, String packageName, String fileName, String text) throws IOException {
		File dir = new File(target, packageName.replace('.', '/'));
		if (!dir.exists()) {
			dir.mkdirs();
		}
		File file = new File(dir, fileName);
		PrintWriter writer = null;
		try {
			writer = new PrintWriter(file);
			writer.write(text);
		} finally {
			if (writer != null) { writer.close(); };
		}
		
		System.out.println(file.getAbsolutePath() + " created.");
	}
	
	public static void main(String[] args) throws Exception {
		ConnectionConfiguration conf = new ConnectionConfiguration();
		conf.setDriverClass("oracle.jdbc.driver.OracleDriver");
		conf.setConnectionURL("jdbc:oracle:thin:@rainbow.kangwoo.kr:1521:XE");
		conf.setUser("BADNOM");
		conf.setPassword("keam8");

		
		File target = new File("D:/jaru/workspace/kr.kangwoo.damo/test");
		
		ModelCodeGenerator modelCodeGenerator = new ModelCodeGenerator();

		String modelPkgName = "kr.kangwoo.damo.eo";
		
		List<TableDefinition> list = DatabaseIntrospector.getTableDefinitions(conf, null, null, "EMP");
		
		for (TableDefinition table : list) {
			
			String modelName = getModelName(null, table);
			
			String modeCode = modelCodeGenerator.generateModelCode(table, modelPkgName, modelName);
			write(target, modelPkgName, modelName + ".java", modeCode);
			
//			for (int j = 0; j < table.size(); j++) {
//				System.out.println(table.getColumn(j).getColumnName() + "\t" + table.getColumn(j).isPrimaryKey() + "\t" + StringUtils.camelString(table.getColumn(j).getColumnName(), true) + "\t" + table.getColumn(j).getJavaType().getFullyQualifiedName());	
//			}
		}
	}
	
	
	public static String getModelName(String prefix, TableDefinition tableDefinition) {
		if (StringUtils.isNotBlank(prefix)) {
			return StringUtils.camelString(StringUtils.substringAfter(tableDefinition.getTableName().getTable(), prefix), true);
		} else {
			return StringUtils.camelString(tableDefinition.getTableName().getTable(), true);	
		}
	}
}
