package kr.kangwoo.damo.util.tool;

import kr.kangwoo.util.StringUtils;

public class JavaClass {

	private String visibility;
	private boolean isStatic;
	private boolean isFinal;
	
	private String packageName;
	private String shortName;
	private String fullyQualifiedName;
	
	public JavaClass(String fullyQualifiedName) {
		setFullyQualifiedName(fullyQualifiedName);
	}
	
	public void setFullyQualifiedName(String fullyQualifiedName) {
		this.fullyQualifiedName = fullyQualifiedName;
		this.packageName = StringUtils.substringBeforeLast(fullyQualifiedName, ".");
		this.shortName = StringUtils.substringAfterLast(fullyQualifiedName, ".");
	}

	public String getPackageName() {
		return packageName;
	}

	public String getShortName() {
		return shortName;
	}

	public String getFullyQualifiedName() {
		return fullyQualifiedName;
	}

	public String getVisibility() {
		return visibility;
	}

	public void setVisibility(String visibility) {
		this.visibility = visibility;
	}

	public boolean isStatic() {
		return isStatic;
	}

	public void setStatic(boolean isStatic) {
		this.isStatic = isStatic;
	}

	public boolean isFinal() {
		return isFinal;
	}

	public void setFinal(boolean isFinal) {
		this.isFinal = isFinal;
	}

	public void setPackageName(String packageName) {
		this.packageName = packageName;
	}

	public void setShortName(String shortName) {
		this.shortName = shortName;
	}
	
	
}
